<!--
    vuejs의 핵심 사상인 reactivity(반응성) 구현
-->
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>vue-way</title>
</head>
<body>
  <div id="app"></div>
  <script>
    var div = document.querySelector("#app");
    var viewModel = {};
    //Object.defineProperty(대상 객체, 객체의 속성, {
    //    // 정의할 내용
    //});
      Object.defineProperty(viewModel, 'str',{
        get:function(){
          console.log('접근');
        },
        set: function(newValue){
          console.log('할당', newValue);
          div.innerHTML = newValue;// 데이터 바인딩
        }
      });
  </script>
</body>
</html>